curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lz11l67o2cb3r0lkj3&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.facebook.com/groups/123456789"}, {"url": "https://www.facebook.com/groups/987654321"}]}'
[
{
"url": "https://www.facebook.com/groups/532855527252024/posts/2189486054922288/",
"post_id": "2189486054922288",
"user_url": "https://www.facebook.com/people/User/61557299394534/",
"user_username_raw": "EnhleNandie Mhlutshwa",
"content": null,
"date_posted": "2026-03-26T19:05:20.000Z",
"num_comments": 0,
"num_shares": 0,
"group_name": "Job Seekers Community",
"group_id": "532855527252024",
"group_url": "https://www.facebook.com/groups/532855527252024/",
"group_category": "Public group",
"group_logo": "https://...",
"group_members": 226500,
"group_created_at": "2019-07-17T07:27:18.000Z",
"user_is_verified": false,
"attachments": [],
"post_type": "Post",
"likes": null,
"profile_id": "61557299394534"
}
]
Facebook
Collect posts by group URL
Use the Bright Data Web Scraper API to collect Posts by Group URL. Calls the POST /datasets/v3/scrape endpoint and returns a snapshot ID.
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lz11l67o2cb3r0lkj3&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.facebook.com/groups/123456789"}, {"url": "https://www.facebook.com/groups/987654321"}]}'
[
{
"url": "https://www.facebook.com/groups/532855527252024/posts/2189486054922288/",
"post_id": "2189486054922288",
"user_url": "https://www.facebook.com/people/User/61557299394534/",
"user_username_raw": "EnhleNandie Mhlutshwa",
"content": null,
"date_posted": "2026-03-26T19:05:20.000Z",
"num_comments": 0,
"num_shares": 0,
"group_name": "Job Seekers Community",
"group_id": "532855527252024",
"group_url": "https://www.facebook.com/groups/532855527252024/",
"group_category": "Public group",
"group_logo": "https://...",
"group_members": 226500,
"group_created_at": "2019-07-17T07:27:18.000Z",
"user_is_verified": false,
"attachments": [],
"post_type": "Post",
"likes": null,
"profile_id": "61557299394534"
}
]
Query Parameters
string
default:"gd_lz11l67o2cb3r0lkj3"
required
The dataset ID used for this request.
Must be set to
gd_lz11l67o2cb3r0lkj3 to collect Facebook posts by group data.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
[
{
"url": "https://www.facebook.com/groups/532855527252024/posts/2189486054922288/",
"post_id": "2189486054922288",
"user_url": "https://www.facebook.com/people/User/61557299394534/",
"user_username_raw": "EnhleNandie Mhlutshwa",
"content": null,
"date_posted": "2026-03-26T19:05:20.000Z",
"num_comments": 0,
"num_shares": 0,
"group_name": "Job Seekers Community",
"group_id": "532855527252024",
"group_url": "https://www.facebook.com/groups/532855527252024/",
"group_category": "Public group",
"group_logo": "https://...",
"group_members": 226500,
"group_created_at": "2019-07-17T07:27:18.000Z",
"user_is_verified": false,
"attachments": [],
"post_type": "Post",
"likes": null,
"profile_id": "61557299394534"
}
]
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Must be gd_lz11l67o2cb3r0lkj3 for this dataset.
Send notifications when the request is completed.
Include errors in the response.
Body
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
Response
200 - application/json
OK. See response example below the parameters.
Was this page helpful?